<!DOCTYPE html>
<html lang="de">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>Fahrrad-Unfallstatistik NRW</title>
        <link rel="stylesheet" href="../css/bootstrap.min.css"/>
        <link rel="stylesheet" href="../css/jquery.dataTables.min.css">

        <script src="../js/jquery.min.js"></script>
        <script src="../js/bootstrap.min.js"></script>
        <script src="../js/jquery.dataTables.min.js"></script>
        <style>
            .rechts {text-align:right;}
            .l {border-left: 1px solid black; }
        </style>
    </head>
    <body>

    <?php include("navbar.php"); ?>


    <div class="container-fluid" style="margin-top:4em;">
        <h1>Fahrradunfälle in Nordrhein-Westfalen in Kreisen und kreisfreien Städten</h2>
   <table id="unfallzahlen"  class="display">
    <thead>

    <tr><th></th>
        <th colspan="4">Fahrradunfälle</th>
        <th colspan="4">Todesfälle</th>
        <th colspan="4">Schwerverletzte</th>
        <th colspan="4">Leichtverletzte</th>
        <th></th><th></th>
    </tr>

    <tr><th>Kreis</th>
        <th class="l">2022</th><th>2021</th><th>2020</th><th>2019</th>
        <th class="l">2022</th><th>2021</th><th>2020</th><th>2019</th>
        <th class="l">2022</th><th>2021</th><th>2020</th><th>2019</th>
        <th class="l">2022</th><th>2021</th><th>2020</th><th>2019</th>
        <th class="l">Einw. in Tausend</th><th>Quote</th>

    </tr>
</thead>
<tbody>
<?php

require("../config.php");
 
$strSQL="SELECT d.title as Kreis, 
        district, 
        SUM(UJAHR=2022) as Jahr_2022, 
        SUM(UJAHR=2021) as Jahr_2021, 
        SUM(UJAHR=2020) as Jahr_2020, 
        SUM(UJAHR=2019) as Jahr_2019, 

        SUM(UJAHR=2022 AND UKATEGORIE=1) as Tode_2022, 
        SUM(UJAHR=2021 AND UKATEGORIE=1) as Tode_2021, 
        SUM(UJAHR=2020 AND UKATEGORIE=1) as Tode_2020, 
        SUM(UJAHR=2019 AND UKATEGORIE=1) as Tode_2019,

        SUM(UJAHR=2022 AND UKATEGORIE=2) as Schwerverletzt_2022, 
        SUM(UJAHR=2021 AND UKATEGORIE=2) as Schwerverletzt_2021, 
        SUM(UJAHR=2020 AND UKATEGORIE=2) as Schwerverletzt_2020, 
        SUM(UJAHR=2019 AND UKATEGORIE=2) as Schwerverletzt_2019,

        SUM(UJAHR=2022 AND UKATEGORIE=3) as Leichtverletzt_2022, 
        SUM(UJAHR=2021 AND UKATEGORIE=3) as Leichtverletzt_2021, 
        SUM(UJAHR=2020 AND UKATEGORIE=3) as Leichtverletzt_2020, 
        SUM(UJAHR=2019 AND UKATEGORIE=3) as Leichtverletzt_2019,
        d.Population as Population, 
        SUM(UJAHR=2022)/d.Population*1000 as Quote_2022,
        s.ULAND,
        s.UREGBEZ ,
        s.UKREIS
        FROM data s, district d
        WHERE IstRad=1 
        AND d.ULAND=s.ULAND AND d.UREGBEZ=s.UREGBEZ AND d.UKREIS=s.UKREIS
        GROUP BY s.ULAND, s.UREGBEZ, s.UKREIS
        ORDER BY Quote_2022 DESC;";

$result=$db->query($strSQL);

while ($row = $result->fetch(PDO::FETCH_ASSOC)) {
    echo "<tr>";
    echo "<td><a href='kreis_details.php?regbez=".$row['UREGBEZ']."&kreis=".$row['UKREIS']."'>".$row['Kreis']."</a></td>";
    echo "<td class='l'>".$row['Jahr_2022']."</td>";
    echo "<td>".$row['Jahr_2021']."</td>";
    echo "<td>".$row['Jahr_2020']."</td>";
    echo "<td>".$row['Jahr_2019']."</td>";
    echo "<td class='l'>".$row['Tode_2022']."</td>";
    echo "<td>".$row['Tode_2021']."</td>";
    echo "<td>".$row['Tode_2020']."</td>";
    echo "<td>".$row['Tode_2019']."</td>";
    echo "<td class='l'>".$row['Schwerverletzt_2022']."</td>";
    echo "<td>".$row['Schwerverletzt_2021']."</td>";
    echo "<td>".$row['Schwerverletzt_2020']."</td>";
    echo "<td>".$row['Schwerverletzt_2019']."</td>";
    echo "<td class='l'>".$row['Leichtverletzt_2022']."</td>";
    echo "<td>".$row['Leichtverletzt_2021']."</td>";
    echo "<td>".$row['Leichtverletzt_2020']."</td>";
    echo "<td>".$row['Leichtverletzt_2019']."</td>";   
    echo "<td class='l rechts'>".round($row['Population']/1000,0)."</td>"; 
    echo "<td class='rechts'>".round($row['Quote_2022'],2)."</td>";   
    echo "</tr>\n";
}
?>
</tbody>
</table>

<script>
    let table = new DataTable('#unfallzahlen',{
           pageLength : 10,
           language: {
            url: '../js/de-DE.json'
        }
        });
</script>
</div>
</body>
</html>
